---
title: কিভাবে অবদান রাখতে হবে
toc_hide: true
menu:
  main:
    weight: 10
---

ক্লাউড নেটিভ শব্দকোষের(glossary) সমস্ত বিষয়বস্তু এই Github Repo সংরক্ষণ করা হয়েছে। আপনি সেখানে [issues](https://github.com/cncf/glossary/issues), [PRs](https://github.com/cncf/glossary/pulls) এবং শব্দকোষ(glossary) সম্পর্কে [আলোচনার](https://github.com/cncf/glossary/discussions) একটি তালিকা পাবেন।

তিনটি উপায়ে আপনি অবদান রাখতে পারেন:

1) [একটি বিদ্যমান সমস্যা নিয়ে কাজ করুন](#work-on-an-existing-issue)
2) [নতুন শর্তাদি প্রস্তাব করুন](#propose-new-terms)
3) [বিদ্যমানগুলি আপডেট করুন](#update-an-existing-term)
4) [শব্দকোষ অনুবাদে সাহায্য করুন](#help-translate-the-glossary)

## শব্দকোষ সম্প্রদায়ে যোগ দিন! {#join-the-glossary-community}

আপনি যদি নিয়মিত অবদান রাখতে চান তবে আমাদের মাসিক শব্দকোষ ওয়ার্কিং গ্রুপ মিটিংয়ে যোগদানের কথা বিবেচনা করুন। আপনি [CNCF ক্যালেন্ডার](https://www.cncf.io/calendar/) এ মিটিংয়ের বিশদ বিবরণ পেতে পারেন। এছাড়াও আপনি CNCF Slack-এ আমাদের [#glossary](https://cloud-native.slack.com/archives/C02TX20MQBB) চ্যানেলে রক্ষণাবেক্ষণকারী এবং সহযোগী অবদানকারীদের সাথে সংযোগ করতে পারেন — আমরা আপনার সাথে দেখা করতে চাই!

## একটি বিদ্যমান সমস্যা নিয়ে কাজ করুন {#work-on-an-existing-issue}

[Glossary GitHub repository issues](https://github.com/cncf/glossary/issues) এ যান। সেখানে আপনি সমস্ত সমস্যার একটি তালিকা দেখতে পাবেন। আপনি লেবেল দ্বারা ফিল্টার করতে পারেন (যেমন বাংলা ভাষা, সাহায্যের প্রয়োজন(help needed), প্রথম ভাল সমস্যা(good first issue)। মনে রাখবেন যে এটি করার জন্য আপনার একটি GitHub অ্যাকাউন্টের প্রয়োজন হবে।

![ইস্যু এবং লেবেল](/images/how-to/issue-and-labels.png)

নিশ্চিত করুন যে আপনি যে পদ/শব্দটিতে আগ্রহী তা ইতিমধ্যেই কাউকে বরাদ্দ করা হয়নি। এখানে আপনি দেখতে পাচ্ছেন যে প্রথম তিনটি  পদ/শব্দ উপলব্ধ রয়েছে যখন পরবর্তী মেয়াদ ইতিমধ্যেই বরাদ্দ করা হয়েছে৷

![একটি শব্দ বরাদ্দ করা](/images/how-to/howto-04.png)

একবার আপনি এমন একটি শব্দ খুঁজে পেলেন যেটিতে আপনি কাজ করতে চান, ইস্যুতে(issue) বলুন। এটি ক্লিক করুন এবং একটি মন্তব্য যোগ করুন.

![একটি সমস্যা(issue) দাবি করা](/images/how-to/claiming-an-issue.png)

এছাড়াও, অনুগ্রহ করে CNCF Slack-এর [#glossary](https://cloud-native.slack.com/archives/C02TX20MQBB) চ্যানেলে যোগ দিন এবং রক্ষণাবেক্ষণকারীদের জানান যে আপনি একটি নতুন শব্দের জন্য একটি সমস্যা উত্থাপন করেছেন (আদর্শভাবে) , ট্যাগ করুন _@Catherine Paganini_, _@jmo_, _@Seokho Son_, _@Jihoon Seo_, এবং/অথবা _@iamnoah_ যাতে তারা এটি মিস না করে)। মনে রাখবেন যে আপনি একবারে শুধুমাত্র একটি মেয়াদ দাবি করতে পারেন। আপনি যদি একাধিক শর্তে কাজ করতে চান, অনুগ্রহ করে পরেরটি দাবি করার আগে একটি শেষ করুন।

একবার তারা এটি আপনাকে বরাদ্দ করলে, আপনি এটিতে কাজ শুরু করতে পারেন। পরবর্তী ধাপগুলির জন্য, অনুগ্রহ করে [একটি নতুন শব্দ জমা দেওয়া (একটি পিআর তৈরি করা)](#submitting-a-new-term) বিভাগটি পড়ুন।

## নতুন শর্তাবলী প্রস্তাব করুন {#propose-new-terms}

আপনি অন্যদের জন্য একটি নতুন শব্দ প্রস্তাব করতে পারেন বা নিজে একটি নতুন সংজ্ঞা তৈরি করতে পারেন৷ যেভাবেই হোক, আপনি একটি সমস্যা তৈরি করে শুরু করবেন।

যারা এখনও   GitHub এর সাথে  পরিচিত নন তাদের জন্য নীচে একটি ধাপে ধাপে নির্দেশিকা। **আপনি যদি একজন GitHub Pro** হন, তাহলে অনুগ্রহ করে _করুন_ যাতে আপনি আমাদের ইস্যু টেমপ্লেট, উপযুক্ত নামকরণ প্রথা ব্যবহার করেন, স্ল্যাকের উপর একটি পিআর দাবি করেন (অন্যথায় আমরা এটি মিস করতে পারি), এবং কোথায় পাবেন তা নিশ্চিত করতে দ্রুত দেখুন ফাইল টেমপ্লেট। এবং অনুগ্রহ করে শুরু করার আগে [স্টাইল গাইড](/bn/style-guide/) পড়া নিশ্চিত করুন — ধন্যবাদ!

### একটি সমস্যা তৈরি করা {#creating-an-issue}

[Glossary GitHub repo](https://github.com/cncf/glossary/issues) সমস্যাগুলিতে যান এবং "নতুন সমস্যা" এ ক্লিক করুন।

![সমস্যা(issues)](/images/how-to/howto-01.png)

আপনি বিভিন্ন ধরনের টেমপ্লেট দেখতে পাবেন। ইংরেজিতে একটি নতুন শব্দ প্রস্তাব করতে, "একটি নতুন শব্দ যোগ করার অনুরোধ (ডিফল্ট: ইংরেজি) নির্বাচন করুন৷

![টেমপ্লেট(template)](/images/how-to/english-issue-template-new.png)

আপনি যে শব্দটি প্রস্তাব করছেন তা যোগ করুন, নীচের দুটি প্রশ্নের উত্তর দিন এবং "নতুন সমস্যা জমা দিন" টিপুন। আপনি যদি শুধু একটি নতুন শব্দ প্রস্তাব করেন, আপনি সম্পন্ন! এটিতে কাজ করতে, পরবর্তী পদক্ষেপগুলি অনুসরণ করুন৷

### আপনার সমস্যা এর পরবর্তী ধাপ {#triaging-your-issue}

এর পরে, রক্ষণাবেক্ষণকারীরা সমস্যাটি সমাধান করবে। এর অর্থ হল শব্দটি শব্দকোষের অংশ হওয়া উচিত কিনা তা তারা মূল্যায়ন করবে (দ্রষ্টব্য, প্রতিটি পদকে সংযুক্ত করা হবে না। শর্তাবলী প্রতিষ্ঠিত হওয়া উচিত এবং ব্যাপকভাবে ব্যবহৃত ক্লাউড নেটিভ টার্মস)।

অনুগ্রহ করে রক্ষণাবেক্ষণকারীদের জানান যে আপনি স্ল্যাকে একটি মেয়াদ জমা দিয়েছেন কারণ তারা অন্যথায় এটি মিস করতে পারে। আদর্শভাবে, ট্যাগ করুন _@Catherine Paganini_, _@jmo_, _@Seokho Son_, _@Jihoon Seo_ অথবা _@iamnoah_। যদি শব্দটি অনুমোদিত হয় এবং আপনি এটিতে কাজ করতে চান তবে তারা এটি আপনাকে বরাদ্দ করবে।

মনে রাখবেন যে আপনি একবারে শুধুমাত্র একটি মেয়াদ দাবি করতে পারেন। আপনি যদি একাধিক শর্তে কাজ করতে চান, অনুগ্রহ করে পরেরটি দাবি করার আগে একটি শেষ করুন।

### একটি নতুন পদ জমা দেওয়া (একটি PR তৈরি করা) {#submitting-a-new-term}

শুরু করার আগে, অনুগ্রহ করে [শৈলী নির্দেশিকা](/bn/style-guide/) পড়ুন — এটি পিছনে এবং পিছনে ছোট করতে সাহায্য করবে। শৈলী নির্দেশিকাতে যেমন বলা হয়েছে, আমরা একটি Google বা Word ডক দিয়ে শুরু করার সুপারিশ করি।

শব্দটি জমা দেওয়ার জন্য প্রস্তুত হয়ে গেলে, সামগ্রীতে যান (কোডের অধীনে)…

![content](/images/how-to/howto-05.png)

…তারপর "en" (বা আপনি যে ভাষার জন্য জমা দিচ্ছেন)…

![ভাষা ফোল্ডার](/images/how-to/howto-06.png)

…এবং _TEMPLATE.md নির্বাচন করুন

![টেমপ্লেট](/images/how-to/howto-07.png)

কন্টেন্ট কপি করুন...

![কন্টেন্ট কপি](/images/how-to/howto-08.png)

…এবং "en" ফোল্ডারে ফিরে যান। "ফাইল যোগ করুন" টিপুন এবং "নতুন ফাইল তৈরি করুন" নির্বাচন করুন।

![নতুন ফাইল তৈরি করুন](/images/how-to/howto-09.png)

URL-এ শব্দের নাম যোগ করুন (কোনও ক্যাপিটালাইজেশন এবং স্পেস নেই) এবং শেষে .md (দ্রষ্টব্য: যদি আপনার পূর্বরূপ কাজ না করে, আপনি সম্ভবত শেষে .md যোগ করতে ভুলে গেছেন)। এখন নিচের টেমপ্লেট কন্টেন্ট পেস্ট করুন। ফাইলটিতে আপনার সংজ্ঞাটি অনুলিপি করুন এবং পেস্ট করুন। মনে রাখবেন GitHub টেক্সট ফরম্যাট করতে মার্কডাউন ব্যবহার করে (যেমন, হাইপারলিঙ্ক, বোল্ড, ইটালিক)। অনুগ্রহ করে এই [মার্কডাউন চিট শীট](https://www.markdownguide.org/cheat-sheet/) দেখুন। আপনি যেভাবে মার্কডাউন ব্যবহার করেছেন তা যাচাই করতে, "প্রিভিউ" এ যান।

![চূড়ান্ত মেয়াদ](/images/how-to/howto-10.png)

আপনি যখন জমা দিতে প্রস্তুত তখন নিচে স্ক্রোল করুন এবং নতুন কমিট ফাইলের নাম দিন। আপনি এখন আপনার নিজের শাখায় শব্দটি কমিট করতে চলেছেন। একটি PR জমা দেওয়ার জন্য আরও একটি ধাপ প্রয়োজন৷ "নতুন ফাইল কমিট" টিপুন এবং...

![নতুন ফাইল কমিট](/images/how-to/howto-11.png)

…এখন আপনি একটি PR তৈরি করছেন:

![একটি PR তৈরি করুন](/images/how-to/howto-12.png)

আপনার এখন "পুল রিকোয়েস্ট" এর অধীনে আপনার PR দেখতে হবে।

![prs](/images/how-to/howto-13.png)

## একটি বিদ্যমান টার্ম আপডেট করুন {#update-an-existing-term}

একটি বিদ্যমান শব্দ আপডেট করতে, আপনি হয় একটি সমস্যার মাধ্যমে একটি পরিবর্তনের পরামর্শ দিতে পারেন বা এগিয়ে যান এবং একটি পুল অনুরোধ (PR) জমা দিয়ে সরাসরি শব্দটি আপডেট করতে পারেন৷

### একটি সমস্যার মাধ্যমে একটি পরিবর্তনের অনুরোধ করুন {#request-a-change-via-an-issue}

আপনি যদি একটি শব্দের সাথে একটি সমস্যা ফ্ল্যাগ করতে চান কিন্তু কীভাবে এটি নিজেই ঠিক করতে চান না জানেন, তাহলে "সমস্যা প্রতিবেদন করুন" এ ক্লিক করুন৷

![রিপোর্ট সমস্যা](/images/how-to/howto-14.png)

এটি সরাসরি একটি সমস্যা খুলবে। কোন পরিবর্তন প্রয়োজন এবং কেন তা বিস্তারিতভাবে বলুন। জমা দিন, এবং যে এটা.

![সমস্যার জমা দিন](/images/how-to/howto-15.png)

### একটি টার্ম সরাসরি আপডেট করুন {#update-a-term-directly}

একটি শব্দ সরাসরি পরিবর্তন করতে, "এই পৃষ্ঠাটি সম্পাদনা করুন" এ যান।

![এই পৃষ্ঠাটি সম্পাদনা করুন](/images/how-to/howto-16.png)

এটি শব্দের GitHub পৃষ্ঠা খুলবে। আপনার পরিবর্তন করুন এবং একটি পিআর জমা দিন। বিশদ বিবরণের জন্য অনুগ্রহ করে উপরে "একটি নতুন শব্দ জমা দেওয়া" দেখুন (মার্কডাউন সম্পর্কে কথা বলা বিভাগে যান)।

## শব্দকোষ অনুবাদ করতে সাহায্য করুন {#help-translate-the-glossary}

আপনার মাতৃভাষায় শব্দকোষটি অনুবাদ করতে সাহায্য করতে, অনুগ্রহ করে CNCF Slack-এ #glossary-localizations চ্যানেলে যোগ দিন এবং আমাদের জানান। আপনি হয় একটি বিদ্যমান দলে যোগ দিতে পারেন বা একটি নতুন দল তৈরি করতে পারেন (এটি কী নেয় তা দেখতে, চেক আউট করুন বা [স্থানীয়করণ গাইড](https://github.com/cncf/glossary/blob/main/LOCALIZATION.md))। এছাড়াও আমাদের মাসিক শব্দকোষ ওয়ার্কিং গ্রুপ মিটিং যোগদান করুন. আপনি [CNCF ক্যালেন্ডার](https://www.cncf.io/calendar/) এ মিটিংয়ের বিশদ বিবরণ পেতে পারেন। আমরা সেখানে আপনার সাথে দেখা করার জন্য উন্মুখ!
