---
title: "Cloud Native Glossary"
---

# Cloud Native Glossary

The Cloud Native Glossary is a project led by the CNCF Business Value Subcommittee (BVS). 
Its goal is to explain cloud native concepts in clear and simple language without requiring any previous technical knowledge.

<p><img class="mt-5" src="/images/homepage/stage.jpg" alt="A woman and two men presenting technical info on a stage"></p>

## Contributing

Everybody is invited to suggest changes, additions, and improvements to the Cloud Native Glossary. 
We employ a community-driven process governed by the CNCF to develop and improve upon this shared lexicon. 
This Glossary provides a vendor-neutral platform to organize a shared vocabulary around cloud native technologies. 
Contributions are welcome from all participants who abide by the project's purpose and charter.

Anyone who wishes to make a contribution may submit a GitHub issue or create a pull request. 
Please ensure you follow the [Style Guide](/style-guide/), read the [How To Contribute](/contribute/) doc, and join the [#glossary](https://cloud-native.slack.com/archives/C02TX20MQBB) channel on the CNCF Slack.
There is also a [#glossary-localizations](https://cloud-native.slack.com/archives/C02N2RGFXDF) channel for those who want to help translate the glossary into their native language.

## Acknowledgements

The Cloud Native Glossary was initiated by the CNCF Marketing Committee (Business Value Subcommittee) and includes contributions from 
[Catherine Paganini](https://www.linkedin.com/in/catherinepaganini/en/), 
[Chris Aniszczyk](https://www.linkedin.com/in/caniszczyk/), 
[Daniel Jones](https://www.linkedin.com/in/danieljoneseb/?originalSubdomain=uk), 
[Jason Morgan](https://www.linkedin.com/in/jasonmorgan2/), 
[Katelin Ramer](https://www.linkedin.com/in/katelinramer/), 
[Mike Foster](https://www.linkedin.com/in/mfosterche/?originalSubdomain=ca), 
and many more contributors. 
For a complete contributor list, please refer to [this GitHub page](https://github.com/cncf/glossary/graphs/contributors).

The Glossary is maintained by 
[Catherine Paganini](https://www.linkedin.com/in/catherinepaganini/en/), 
[Jason Morgan](https://www.linkedin.com/in/jasonmorgan2/), 
[Jihoon Seo](https://www.linkedin.com/in/jihoon-seo/), 
[Noah Ispas](https://www.linkedin.com/in/noah-ispas-0665b42a/), 
and [Seokho Son](https://www.linkedin.com/in/seokho-son/).

## License

All code contributions are under the Apache 2.0 license. 
Documentation is distributed under CC BY 4.0.
