---
title: Observability
status: Completed
category: concept
tags: ["methodology", "application", "infrastructure"]
---

## What it is

Observability is the capability to continuously generate and discover actionable insights based on signals from the system under observation. 
In other words, observability allows users to understand a system's state from its external output and take (corrective) action.

## Problem it addresses

Computer systems are measured by observing low-level signals such as CPU time, memory, disk space, and higher-level and business signals, including API response times, errors, transactions per second, etc.

The observability of a system has a significant impact on its operating and development costs. 
Observable systems yield meaningful, actionable data to their operators, allowing them to achieve favorable outcomes (faster incident response, increased developer productivity) and less toil and downtime.

## How it helps

Understanding that more information does not necessarily translate into a more observable system is pivotal. 
In fact, sometimes, the amount of information generated by a system can make it harder to identify valuable health signals from the noise generated by the application. 
Observability requires the right data at the right time for the right consumer (human or piece of software) to make the right decisions.
